## quickplot 0.8.15

=== debian/changelog ===
quickplot (0.8.15-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.2. 
  * Switch to dpkg-source 3.0 (quilt) format.
  *  Maintainer's mail has been changed.

 -- Muammar El Khatib <muammar@debian.org>  Wed, 24 Aug 2011 14:17:30 +0200

quickplot (0.8.15-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4. No changes were needed.
  * ${misc:Depends} has been added to Depends fields in order to fix a lintian
    warning because the source package uses debhelper.  
  * debian/quickplot.doc-base has been added to register documentation files 
    making use of doc-base.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Mon, 22 Feb 2010 12:54:50 -0430

quickplot (0.8.15-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.1
  * Homepage was set as a regular field in debian/control.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Fri, 13 Mar 2009 15:39:06 -0430

quickplot (0.8.13-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS using patch by Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr> (Closes: #454899)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 16:29:29 +0100

quickplot (0.8.13-2) unstable; urgency=low

  * Upload to unstable.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Wed, 11 Apr 2007 13:07:27 -0400

quickplot (0.8.13-1) experimental; urgency=low

  * New upstream release.
  * A watch file was added.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Tue,  6 Feb 2007 21:50:27 -0400

quickplot (0.8.6-3) unstable; urgency=low

  * New maintainer (Closes: #405732)
  * The version of debhelper was changed to >> 5 instead of >> 4.0.0

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Mon,  5 Feb 2007 22:23:47 -0400

quickplot (0.8.6-2) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA Group; Orphaned: #405732
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Fri, 19 Jan 2007 08:42:49 +0100

quickplot (0.8.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * Rebuild quickplot for the C++ ABI transition (closes: #325514).
  * Add forward-declaration of class FieldReader for compatibility with
    g++ 4.0 (closes: #326468).

 -- Steve Langasek <vorlon@debian.org>  Tue, 13 Sep 2005 14:25:08 -0700

quickplot (0.8.6-1) unstable; urgency=low

  * New upstream release
  * Upstream has completely revamped an old project, converted to C++,
    used more modern GUI library (GTK+), made lots of
    improvements. Unfortunately, upstream resurfaced at a different
    location (sourceforge), and I missed several intermediate versions.
  * Updated long and short descriptions and Build-Depends
  * Wrote manpage in sgml format using upstream html help page
  * Close old FTBFS fixed NMU bug. Closes: #226514

 -- Gopal Narayanan <gopal@debian.org>  Wed,  2 Feb 2005 00:26:09 -0500

quickplot (0.4.4-2.1) unstable; urgency=low

  * NMU
    - Now Build-Depends on libxaw6-dev (Closes: #226514)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  9 Jan 2004 17:45:16 +0100

quickplot (0.4.4-2) unstable; urgency=low

  * Fix uninstallable RC bug for old X libraries. Closes: #170234
  * Bumped up Standards Version, add Build-Depends

 -- Gopal Narayanan <gopal@debian.org>  Fri, 14 Mar 2003 21:26:22 -0500

quickplot (0.4.4-1) unstable; urgency=low

  * New upstream release

 -- Gopal Narayanan <gopal@debian.org>  Thu, 13 Jul 2000 13:20:14 -0400

quickplot (0.4.3-1) unstable; urgency=low

  * New upstream release
  * Upgrade to Standards 3.0.1

 -- Gopal Narayanan <gopal@debian.org>  Fri, 29 Oct 1999 16:55:20 -0400

quickplot (0.4.2-2) unstable; urgency=low

  * Packaged using debhelper (>2.0) for FHS compliance

 -- Gopal Narayanan <gopal@debian.org>  Sun,  8 Aug 1999 20:45:56 -0400

quickplot (0.4.2-1) unstable; urgency=low

  * New Maintainer
  * New upstream version

 -- Gopal Narayanan <gopal@debian.org>  Fri,  2 Jul 1999 20:38:30 -0400

quickplot (0.2.8-1) unstable; urgency=low

  * New upstream version.

 -- Johnie Ingram <johnie@debian.org>  Wed, 27 Jan 1999 07:28:29 -0500

quickplot (0.2.6-1) unstable; urgency=low

  * New upstream version.

 -- Johnie Ingram <johnie@debian.org>  Mon, 21 Dec 1998 13:49:06 -0500

quickplot (0.1.0-1) unstable; urgency=low

  * Initial Release.

 -- Johnie Ingram <johnie@debian.org>  Wed, 17 Sep 1997 14:59:33 -0400
