=== debian/control ===
Source: quickplot
Section: math
Priority: optional
Maintainer: Muammar El Khatib <muammar@debian.org>
Build-Depends: debhelper (>> 5), libgtkmm-2.4-dev, libsndfile1-dev, docbook-to-man
Standards-Version: 3.9.2
Homepage: http://quickplot.sourceforge.net/

Package: quickplot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast interactive 2D plotter and data viewer
 A 2-D plotter with infinite zooming, value picking, pipe input, and
 unlimited plots displayed.  Quickplot is meant for looking at your
 data quickly and of secondary importance is making static pictures of
 your data.  It is a data viewer, not a plot editor.  It reads ASCII
 text and sound files.  It has lots of command line options, making it
 very shell script friendly.
