## quickplot 0.9.11

=== debian/changelog ===
quickplot (0.9.11-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + libreadline6-dev was added to the Build-Depends field.
  * quickplot.symbols file has been removed and an override has been added.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 31 Dec 2011 18:03:58 +0100

quickplot (0.9.7-4) experimental; urgency=low

  * debian/quickplot.symbols file was updated to avoid FTBFS on armel, armhf,
    ia64, mips, mipsel, powerpc, s390, s390x, and sparc.

 -- Muammar El Khatib <muammar@debian.org>  Fri, 30 Dec 2011 13:13:48 +0100

quickplot (0.9.7-3) unstable; urgency=low

  * debian/quickplot.symbols file was updated to not reflect the revision of the
    package and thus avoiding fails in the building process.

 -- Muammar El Khatib <muammar@debian.org>  Wed, 28 Dec 2011 11:54:35 +0100

quickplot (0.9.7-2) unstable; urgency=low

  * Adding symbols file.
  * debian/control:
    + Updated build dependency to debhelper >= 7.
    + Build-Depends: libgtkmm-2.4-dev changed to libgtkmm-3.0-dev.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 27 Dec 2011 16:33:51 +0100

quickplot (0.9.7-1) unstable; urgency=low

  * New upstream release.
  * The program should compile when ld defaults is set to --as-needed. Thanks to
    Felix Geyer for providing a patch. (Closes: #647443)
  * dependency_libs field has been cleared in this revision.
  * debian/copyright file has been updated for complying with DEP5 format.
  * debian/quickplot.doc-base has been updated for containing the changes in
    this new upstream release.
  * quickplot.postinst has been added for running ldconfig.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 25 Dec 2011 20:53:21 +0100
