## quickplot 0.10.3

=== debian/changelog ===
quickplot (0.10.3-1) unstable; urgency=low

  * New upstream release.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 21 Feb 2012 16:44:05 +0100
