=== debian/control ===
--- 
+++ 
@@ -2,7 +2,13 @@
 Section: math
 Priority: optional
 Maintainer: Muammar El Khatib <muammar@debian.org>
-Build-Depends: debhelper (>> 5), libgtkmm-2.4-dev, libsndfile1-dev, docbook-to-man
+Build-Depends: debhelper (>= 7),
+               libgtkmm-3.0-dev,
+               libsndfile1-dev,
+               docbook-to-man,
+               dh-autoreconf,
+               lynx,
+               libreadline6-dev
 Standards-Version: 3.9.2
 Homepage: http://quickplot.sourceforge.net/
