=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	./configure --prefix=/usr 
+	dh_autoreconf
+	./configure --prefix=/usr
 	touch configure-stamp
 
 build: build-stamp build-arch build-indep
@@ -19,17 +20,19 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE) 
+	$(MAKE)
 
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp install-stamp
+	rm -f build-stamp configure-stamp install-stamp debian/substvars
 
 	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) distclean
+
+	dh_autoreconf_clean
 
 	dh_clean
 
@@ -37,13 +40,21 @@
 install-stamp: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp.
 	$(MAKE) install prefix=$(CURDIR)/debian/quickplot/usr
 #	mv debian/tmp/usr/X11R6/html debian/tmp/usr/share/doc/$(package)
-	-rm debian/quickplot/usr/share/doc/quickplot/html/COPYING*
+
+	# Cleaning out the dependency_libs field
+	for file in debian/quickplot/usr/lib/*.la; do \
+	    sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
+	    done
+
+	#rm debian/quickplot/usr/share/doc/quickplot/html/COPYING*
+	install -D -m 0644 debian/quickplot.override \
+	    $(CURDIR)/debian/quickplot/usr/share/lintian/overrides/quickplot
 	touch install-stamp
 
 # Build architecture-independent files here.
@@ -63,13 +74,14 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
 
-source diff:                                                                  
+source diff:
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
 binary: binary-indep binary-arch
