## quickplot 0.10.4

=== debian/changelog ===
quickplot (0.10.4-2) unstable; urgency=low

  * Missing Copyright file was added. (Closes: #708099)

 -- Muammar El Khatib <muammar@debian.org>  Sat, 18 May 2013 17:19:34 +0200

quickplot (0.10.4-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + install-docs is not used to comply with Debian Policy.
    + buildflags.mk is being used in order of providing binaries with
    hardening functions.
  * debian/control:
    + dh-autoreconf added in Build-Depends field.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 11 May 2013 16:43:46 +0200
