=== debian/control ===
--- 
+++ 
@@ -8,8 +8,10 @@
                docbook-to-man,
                dh-autoreconf,
                lynx,
-               libreadline6-dev
-Standards-Version: 3.9.2
+               libreadline6-dev,
+               dpkg-dev (>= 1.16.1~),
+               dh-autoreconf
+Standards-Version: 3.9.4
 Homepage: http://quickplot.sourceforge.net/
 
 Package: quickplot
