=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 
 package=quickplot
 SHELL=/bin/sh
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 configure: configure-stamp
 configure-stamp:
@@ -50,9 +52,11 @@
 	# Cleaning out the dependency_libs field
 	for file in debian/quickplot/usr/lib/*.la; do \
 	    sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
-	    done
+	done
 
 	#rm debian/quickplot/usr/share/doc/quickplot/html/COPYING*
+	install -D -m 0644 debian/copyright \
+	    $(CURDIR)/debian/quickplot/usr/share/doc/quickplot/
 	install -D -m 0644 debian/quickplot.override \
 	    $(CURDIR)/debian/quickplot/usr/share/lintian/overrides/quickplot
 	touch install-stamp
@@ -65,7 +69,6 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installdocs
 	docbook-to-man debian/quickplot.sgml > debian/quickplot.1
 	dh_installman debian/quickplot.1
 	dh_installmenu
