## quickplot 0.10.6

=== debian/changelog ===
quickplot (0.10.6-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5. No changes were needed.
  * manpages are now used from upstream.
  * debian/control:
    + Duplicated Build-Depends entry `dh-autoreconf` has been deleted.
  * FTBFS with ld --as-needed, related to libraries put before the objects
    that use them, has been fixed by upstream (Closes: #647443).

 -- Muammar El Khatib <muammar@debian.org>  Thu, 28 Nov 2013 00:41:37 +0200
