## quickplot 1.0.1~rc

=== debian/changelog ===
quickplot (1.0.1~rc-3) unstable; urgency=medium

  * Team upload.
  * Fix cut-n-pasto in Vcs fields
  * Drop outdated debian/rules boilerplate
  * debian/rules
     - Enable hardening options
     - Short dh
  * Fix syntax of doc-base file

 -- Andreas Tille <tille@debian.org>  Fri, 16 Aug 2024 18:25:39 +0200

quickplot (1.0.1~rc-2) unstable; urgency=medium

  * Team upload.
  * Move package to Debian Science team maintenance
    Closes: #1078671
  * Point watch file to Github
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Drop unnecessary Build-Depends: dpkg-dev
  * Do not provide a privacy breaking logo in doc

 -- Andreas Tille <tille@debian.org>  Fri, 16 Aug 2024 17:36:11 +0200

quickplot (1.0.1~rc-1) unstable; urgency=medium

  * New upstream release.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 28 Feb 2016 15:37:31 +0100
