=== debian/control ===
Source: quickplot
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Muammar El Khatib <muammar@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libgtkmm-3.0-dev,
               libsndfile1-dev,
               docbook-to-man,
               lynx,
               libreadline6-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/quickplot
Vcs-Git: https://salsa.debian.org/science-team/quickplot.git
Homepage: https://quickplot.sourceforge.net/
Rules-Requires-Root: no

Package: quickplot
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: fast interactive 2D plotter and data viewer
 A 2-D plotter with infinite zooming, value picking, pipe input, and
 unlimited plots displayed.  Quickplot is meant for looking at your
 data quickly and of secondary importance is making static pictures of
 your data.  It is a data viewer, not a plot editor.  It reads ASCII
 text and sound files.  It has lots of command line options, making it
 very shell script friendly.
