=== debian/watch ===
version=4

opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/lanceman2/quickplot/tags (?:.*?/)?v?(\d[\d.rc]+)\.tar\.gz
